searchNodes=[{"doc":"","ref":"small_ints.html","title":"small_ints","type":"module"},{"doc":"","ref":"small_ints.html#decode_varint/1","title":"small_ints.decode_varint/1","type":"function"},{"doc":"","ref":"small_ints.html#decode_zigzag/1","title":"small_ints.decode_zigzag/1","type":"function"},{"doc":"","ref":"small_ints.html#decode_zigzag_varint/1","title":"small_ints.decode_zigzag_varint/1","type":"function"},{"doc":"","ref":"small_ints.html#encode_varint/1","title":"small_ints.encode_varint/1","type":"function"},{"doc":"","ref":"small_ints.html#encode_zigzag/1","title":"small_ints.encode_zigzag/1","type":"function"},{"doc":"","ref":"small_ints.html#encode_zigzag_varint/1","title":"small_ints.encode_zigzag_varint/1","type":"function"},{"doc":"small_ints is an Erlang module that can help you deal with encoding and decoding of integers using the varint and ZigZag algorithms described in the &quot;Encoding&quot; section of Google Protocol Buffer's docs.","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"&gt; rebar3 compile Varint Basically, you use a variable number of bytes to represent a positive integer. You can encode varints to binaries and decode them from binaries like this: small_ints : encode_varint ( 5 ) . %=&gt; &lt;&lt;5&gt;&gt; small_ints : encode_varint ( 1034 ) . %=&gt; &lt;&lt;138,8&gt;&gt; small_ints : decode_varint ( &lt;&lt; 5 , &quot;foo&quot; &gt;&gt; ) . %=&gt; {5, &lt;&lt;&quot;foo&quot;&gt;&gt;} small_ints : decode_varint ( &lt;&lt; 138 , 8 &gt;&gt; ) . %=&gt; {1034, &lt;&lt;&gt;&gt;} ZigZag The ZigZag algorithm is used to encode small positive and negative numbers with a small number of bytes. small_ints : encode_zigzag ( 1 ) . %=&gt; 2 small_ints : encode_zigzag ( - 5 ) . %=&gt; 9 small_ints : decode_zigzag ( 6 ) . %=&gt; 3 Other stuff small_ints also provides two utility functions which just combine the varint and ZigZag algorithms: small_ints:decode_zigzag_varint/1 : decodes the next varint from the given binary and then decodes it with ZigZag small_ints:encode_zigzag_varint/1 : encodes the given integer with ZigZag, then encodes the result with varint","ref":"readme.html#building","title":"Overview - Building","type":"extras"},{"doc":"MIT License &amp;copy; 2015, Andrea Leopardi","ref":"readme.html#license","title":"Overview - License","type":"extras"},{"doc":"All notable changes to this project will be documented in this file. The format is based on Keep a Changelog and this project adheres to Semantic Versioning .","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Added rebar3_hank [Paulo Oliveira] rebar3_ex_doc + make ex_doc-dry [Paulo Oliveira] Changed CI container approach to setup-beam with cache [Paulo Oliveira] edoc -based doc. to ex_doc -based doc. [Paulo Oliveira]","ref":"changelog.html#1-1-1-2022-04-19","title":"Changelog - [1.1.1] - 2022-04-19","type":"extras"},{"doc":"Added GitHub Actions -based CI [Paulo Oliveira] elvis -based Erlang style analysis [Paulo Oliveira] Makefile [Paulo Oliveira] a fresh approach to rebar.config [Paulo Oliveira]","ref":"changelog.html#1-1-0-2021-03-04","title":"Changelog - [1.1.0] - 2021-03-04","type":"extras"},{"doc":"Copyright (c) 2015, Andrea Leopardi &lt;an.leopardi@gmail.com&gt;. All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. * The names of its contributors may not be used to endorse or promote products derived from this software without specific prior written permission. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.","ref":"license.html","title":"License","type":"extras"}]